<?php
session_start();
       include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
     $fruit = $_POST["regas"];
     $valor = $_POST["elval"];
     $regas = $_POST["lareg"];
     
     if($valor==8){
	     $qPP = "update regs2 set status='8' where idreg=$regas";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

     }else{
     
     
     $how_many = count($fruit); 
 for ($i=0; $i<$how_many; $i++) {
  $qPP = "update regs2 set status='8' where idreg=$fruit[$i]";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
 
     }
    } 
         echo "<br><br><br><br><center>Transcci&oacute;n exitosa";

 
 
?>